View Issue Details

IDProjectCategoryView StatusLast Update
0001965unrealircdpublic2004-09-04 17:07
ReportervonitsanetAssigned Tocodemastr 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.2 
Summary0001965: users with snomask +s can see oper up notices
DescriptionIs any way to make it so only IrcOperators can see oper up notices?
TagsNo tags attached.
3rd party modules

Activities

crazy

2004-07-15 16:32

reporter   ~0007096

Ohmmm .. yes :)

2 ways ,but one of them ist bad .... :)

1.restrict the mode "+s" . in your set block :

restrict-usermodes "s"; (for more inforation read the docs)..

2.modify your unreal :P (bad idea)

aquanight

2004-07-15 21:54

reporter   ~0007108

AngryWolf posted a page on this issue, actually. But since it discusses modifying Unreal, I'm gonna make you find it yourself :P .

On this note however, I do believe that it can be a significant security issue for users to see operups, since this is as good as allowing them to see /stats o, which some nets restrict because this output reveals the oper logins (with correct case!), and then all someone has to do is get a hold of the password and...

vonitsanet

2004-07-17 09:58

reporter   ~0007123

I've found it..:P

http://www.angrywolf.org/hideoper.php?lang=en

codemastr

2004-09-04 17:07

reporter   ~0007523

In .130 a new snomask was added, +o. This snomask is oper only and is used to show oper-up notices. Note, you must upgrade all servers on the network for this to fully work.

Issue History

Date Modified Username Field Change
2004-07-15 14:40 vonitsanet New Issue
2004-07-15 16:32 crazy Note Added: 0007096
2004-07-15 21:54 aquanight Note Added: 0007108
2004-07-17 09:58 vonitsanet Note Added: 0007123
2004-09-04 17:07 codemastr Status new => resolved
2004-09-04 17:07 codemastr Fixed in Version => 3.2.2
2004-09-04 17:07 codemastr Resolution open => fixed
2004-09-04 17:07 codemastr Assigned To => codemastr
2004-09-04 17:07 codemastr Note Added: 0007523